=== modified file 'NEWS'
--- NEWS	2008-08-04 22:41:18 +0000
+++ NEWS	2008-08-06 07:39:30 +0000
@@ -5,8 +5,14 @@
 .. contents::
 
 
-IN DEVELOPMENT
---------------
+bzr 1.6rc1 2008-08-06
+---------------------
+
+This release candidate for bzr 1.6 solidifies the new branch stacking
+feature.  Bazaar now recommends that users upgrade all knit repositories,
+because later formats are much faster.  However, we plan to continue read/write and
+upgrade support for knit repostories for the forseeable future.  Several
+other bugs and performance issues were fixed.
 
   CHANGES:
 
@@ -14,10 +20,6 @@
       warnings whenever it encounters one.  Use ``bzr upgrade`` to upgrade
       knit repositories to pack format.  (Andrew Bennetts)
       
-
-  FEATURES:
-
-
   IMPROVEMENTS:
 
     * ``bzr check`` can now be told which elements at a location it should
@@ -26,6 +28,10 @@
     * Commit now supports ``--exclude`` (or ``-x``) to exclude some files
       from the commit. (Robert Collins, #3117)
 
+    * Fetching data between repositories that have the same model but no 
+      optimised fetcher will not reserialise all the revisions, increasing
+      performance. (Robert Collins, John Arbash Meinel)
+
     * Give a more specific error when target branch is not reachable.
       (James Westby)
 
@@ -37,9 +43,9 @@
       Anywhere from 2x-6x faster depending on the size of the tree (bigger
       trees, bigger benefit.) (John Arbash Meinel)
 
-    * Fetching data between repositories that have the same model but no 
-      optimised fetcher will not reserialise all the revisions, increasing
-      performance. (Robert Collins, John Arbash Meinel)
+    * New registry for log properties handles  and the method in 
+      LongLogFormatter to display the custom properties returned by the 
+      registered handlers. (Guillermo Gonzalez, #162469)
 
   BUG FIXES:
 
@@ -57,6 +63,15 @@
     * ``bzr export`` no longer exports ``.bzrrules``.
       (Ian Clatworthy)
 
+    * ``bzr serve --directory=/`` now correctly allows the whole
+      filesystem to be accessed on Windows, not just the root of the drive
+      that Python is running from.
+      (Adrian Wilkins, #240910)
+
+    * Deleting directories by hand before running ``bzr rm`` will not
+      cause subsequent errors in ``bzr st`` and ``bzr commit``.
+      (Robert Collins, #150438)
+
     * Fix a test case that was failing if encoding wasn't UTF-8.
       (John Arbash Meinel, #247585)
 
@@ -64,15 +79,11 @@
       smart server protocol to or from Windows.
       (Andrew Bennetts, #246180)
 
-    * Deleting directories by hand before running ``bzr rm`` will not
-      cause subsequent errors in ``bzr st`` and ``bzr commit``.
-      (Robert Collins, #150438)
-
-  DOCUMENTATION:
-
-
-  TESTING:
-
+    * Fixed problem in branching from smart server.
+      (#249256, Michael Hudson, Martin Pool) 
+
+    * Handle a file turning in to a directory in TreeTransform.
+      (James Westby, #248448)
 
   API CHANGES:
 
@@ -130,6 +141,12 @@
 bzr 1.6beta3 2008-07-17
 -----------------------
 
+This release adds a new 'stacked branches' feature allowing branches to
+share storage without being in the same repository or on the same machine.
+(See the user guide for more details.)  It also adds a new hook, improved
+weaves, aliases for related locations, faster bzr+ssh push, and several
+bug fixes.
+
   FEATURES:
 
     * New ``pre_change_branch_tip`` hook that is called before the
@@ -146,7 +163,9 @@
     * Sites may suggest a branch to stack new branches on.  (Aaron Bentley)
 
     * Stacked branches are now supported. See ``bzr help branch`` and 
-      ``bzr help push``. (Robert Collins)
+      ``bzr help push``.  Branches must be in the ``development1`` format
+      to stack, though the stacked-on branch can be of any format. 
+      (Robert Collins)
 
   IMPROVEMENTS:
 
@@ -170,10 +189,6 @@
       revision info directly.  This makes operations like push
       faster.  The new request method name is
       ``Branch.set_last_revision_ex``.  (Andrew Bennetts)
-      
-    * New registry for log properties handles  and the method in 
-      LongLogFormatter to display the custom properties returned by the 
-      registered handlers. (Guillermo Gonzalez, #162469)
 
   BUG FIXES:
 
@@ -190,11 +205,6 @@
       requires a branch to be present.
       (Daniel Watkins, #64783)
 
-    * ``bzr serve --directory=/`` now correctly allows the whole
-      filesystem to be accessed on Windows, not just the root of the drive
-      that Python is running from.
-      (Adrian Wilkins, #240910)
-
     * Clearer message about how to set the PYTHONPATH if bzrlib can't be
       loaded. 
       (Martin Pool, #205230)
@@ -204,9 +214,6 @@
       still in ``.bzr.log`` and can be shown with ``-Derror``.
       (Martin Pool, #240161)
 
-    * Fixed problem in branching from smart server.
-      (#249256, Michael Hudson, Martin Pool) 
-
     * Fetch from a stacked branch copies all required data.
       (Aaron Bentley, #248506)
 
@@ -236,9 +243,6 @@
     * Set locale from environment for third party libs.
       (Martin von Gagern, #128496)
 
-    * Handle a file turning in to a directory in TreeTransform.
-      (James Westby, #248448)
-
   DOCUMENTATION:
 
     * Added *Using stacked branches* to the User Guide.

=== modified file 'bzrlib/__init__.py'
--- bzrlib/__init__.py	2008-08-04 22:41:18 +0000
+++ bzrlib/__init__.py	2008-08-06 07:39:30 +0000
@@ -41,7 +41,7 @@
 # Python version 2.0 is (2, 0, 0, 'final', 0)."  Additionally we use a
 # releaselevel of 'dev' for unreleased under-development code.
 
-version_info = (1, 6, 0, 'beta', 4)
+version_info = (1, 6, 0, 'candidate', 1)
 
 
 # API compatibility version: bzrlib is currently API compatible with 1.6.

